Bug 807914 - gluster volume set help crashes glusterd.
gluster volume set help crashes glusterd.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
mainline
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-03-29 02:53 EDT by Vijaykumar Koppad
Modified: 2014-08-24 20:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 14:02:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-03-29 02:53:37 EDT
Description of problem:
here is the back-trace

#0  0x00007f7e2e3f2046 in ?? () from /lib/x86_64-linux-gnu/libgcc_s.so.1
#1  0x00007f7e2e3f2d5d in _Unwind_Backtrace () from /lib/x86_64-linux-gnu/libgcc_s.so.1
#2  0x00007f7e3210e650 in backtrace () from /lib/x86_64-linux-gnu/libc.so.6
#3  0x00007f7e32a371f2 in gf_print_trace (signum=11) at common-utils.c:425
#4  <signal handler called>
#5  0x00007f7e320967bf in strcat () from /lib/x86_64-linux-gnu/libc.so.6
#6  0x00007f7e2f34024f in glusterd_get_volopt_content (xml_out=_gf_false) at glusterd-volgen.c:2081
#7  0x6c756e28203a6575 in ?? ()
#8  0x72637365440a296c in ?? ()
#9  0x203a6e6f69747069 in ?? ()
#10 0x0a0a296c6c756e28 in ?? ()
#11 0x203a6e6f6974704f in ?? ()
#12 0x672e726576726573 in ?? ()
Comment 1 Anand Avati 2012-03-29 10:45:38 EDT
CHANGE: http://review.gluster.com/3030 (glusterd: Increase output_string size in glusterd_get_volopt_content) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.